Index: src/main/java/net/sf/ehcache/CacheManager.java
===================================================================
--- src/main/java/net/sf/ehcache/CacheManager.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/CacheManager.java	(working copy)
@@ -17,6 +17,17 @@
 
 package net.sf.ehcache;
 
+import java.io.File;
+import java.io.InputStream;
+import java.net.URL;
+import java.util.Collection;
+import java.util.Iterator;
+import java.util.List;
+import java.util.Map;
+import java.util.Set;
+import java.util.concurrent.ConcurrentHashMap;
+import java.util.concurrent.CopyOnWriteArrayList;
+
 import net.sf.ehcache.config.Configuration;
 import net.sf.ehcache.config.ConfigurationFactory;
 import net.sf.ehcache.config.ConfigurationHelper;
@@ -28,18 +39,8 @@
 import net.sf.ehcache.store.DiskStore;
 import net.sf.ehcache.util.PropertyUtil;
 
-import java.io.File;
-import java.io.InputStream;
-import java.net.URL;
-import java.util.Collection;
-import java.util.Iterator;
-import java.util.List;
-import java.util.Map;
-import java.util.Set;
-import java.util.concurrent.ConcurrentHashMap;
-import java.util.concurrent.CopyOnWriteArrayList;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A container for {@link Ehcache}s that maintain all aspects of their lifecycle.
@@ -66,7 +67,7 @@
      */
     public static final String ENABLE_SHUTDOWN_HOOK_PROPERTY = "net.sf.ehcache.enableShutdownHook";
 
-    private static final Logger LOG = Logger.getLogger(CacheManager.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(CacheManager.class);
 
     /**
      * The Singleton Instance.
@@ -267,9 +268,7 @@
         Configuration configuration;
         String configurationSource;
         if (configurationFileName != null) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Configuring CacheManager from " + configurationFileName);
-            }
+            LOG.debug("Configuring CacheManager from {}", configurationFileName);
             configuration = ConfigurationFactory.parseConfiguration(new File(configurationFileName));
             configurationSource = "file located at " + configurationFileName;
         } else if (configurationURL != null) {
@@ -279,9 +278,7 @@
             configuration = ConfigurationFactory.parseConfiguration(configurationInputStream);
             configurationSource = "InputStream " + configurationInputStream;
         } else {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Configuring ehcache from classpath.");
-            }
+            LOG.debug("Configuring ehcache from classpath.");
             configuration = ConfigurationFactory.parseConfiguration();
             configurationSource = "classpath";
         }
@@ -298,9 +295,9 @@
 
         if (diskStorePath == null && cachesRequiringDiskStores > 0) {
             diskStorePath = DiskStoreConfiguration.getDefaultPath();
-            LOG.log(Level.WARNING, "One or more caches require a DiskStore but there is no diskStore element configured." +
-                    " Using the default disk store path of " + DiskStoreConfiguration.getDefaultPath() +
-                    ". Please explicitly configure the diskStore element in ehcache.xml.");
+            LOG.warn("One or more caches require a DiskStore but there is no diskStore element configured." +
+                    " Using the default disk store path of {}. Please explicitly configure the diskStore" +
+                    " element in ehcache.xml.", DiskStoreConfiguration.getDefaultPath());
         }
 
         detectAndFixDiskStorePathConflict(configurationHelper);
@@ -324,22 +321,22 @@
 
     private void detectAndFixDiskStorePathConflict(ConfigurationHelper configurationHelper) {
         if (diskStorePath == null) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "No disk store path defined. Skipping disk store path conflict test.");
-            }
+            LOG.debug("No disk store path defined. Skipping disk store path conflict test.");
             return;
         }
 
         for (CacheManager cacheManager : ALL_CACHE_MANAGERS) {
             if (diskStorePath.equals(cacheManager.diskStorePath)) {
                 String newDiskStorePath = diskStorePath + File.separator + DiskStore.generateUniqueDirectory();
-                LOG.log(Level.WARNING, "Creating a new instance of CacheManager using the diskStorePath \""
-                        + diskStorePath + "\" which is already used" +
+                LOG.warn("Creating a new instance of CacheManager using the diskStorePath \""
+                        + "{}\" which is already used" +
                         " by an existing CacheManager.\nThe source of the configuration was "
-                        + configurationHelper.getConfigurationBean().getConfigurationSource() + ".\n" +
-                        "The diskStore path for this CacheManager will be set to " + newDiskStorePath + ".\nTo avoid this" +
+                        + "{}.\n" +
+                        "The diskStore path for this CacheManager will be set to {}.\nTo avoid this" +
                         " warning consider using the CacheManager factory methods to create a singleton CacheManager " +
-                        "or specifying a separate ehcache configuration (ehcache.xml) for each CacheManager instance.");
+                        "or specifying a separate ehcache configuration (ehcache.xml) for each CacheManager instance.",
+                        new Object[]{diskStorePath, configurationHelper.getConfigurationBean().getConfigurationSource(),
+                         newDiskStorePath, });
                 diskStorePath = newDiskStorePath;
                 break;
             }
@@ -360,14 +357,14 @@
                     }
                     String otherUniqueResourceIdentifier = otherCacheManagerPeerListener.getUniqueResourceIdentifier();
                     if (uniqueResourceIdentifier.equals(otherUniqueResourceIdentifier)) {
-                        LOG.log(Level.WARNING, "Creating a new instance of CacheManager with a CacheManagerPeerListener which " +
+                        LOG.warn("Creating a new instance of CacheManager with a CacheManagerPeerListener which " +
                                 "has a conflict on a resource that must be unique.\n" +
-                                "The resource is " + uniqueResourceIdentifier + ".\n" +
-                                "Attempting automatic resolution. The source of the configuration was "
-                                + configurationHelper.getConfigurationBean().getConfigurationSource() + ".\n"
-                                + "To avoid this warning consider using the CacheManager factory methods to create a " +
+                                "The resource is {}.\n" +
+                                "Attempting automatic resolution. The source of the configuration was {}.\n" +
+                                "To avoid this warning consider using the CacheManager factory methods to create a " +
                                 "singleton CacheManager " +
-                                "or specifying a separate ehcache configuration (ehcache.xml) for each CacheManager instance.");
+                                "or specifying a separate ehcache configuration (ehcache.xml) for each CacheManager instance.",
+                                uniqueResourceIdentifier, configurationHelper.getConfigurationBean().getConfigurationSource());
                         cacheManagerPeerListener.attemptResolutionOfUniqueResourceConflict();
                         break;
                     }
@@ -407,14 +404,10 @@
         }
         synchronized (CacheManager.class) {
             if (singleton == null) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Creating new CacheManager with default config");
-                }
+                LOG.debug("Creating new CacheManager with default config");
                 singleton = new CacheManager();
             } else {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Attempting to create an existing singleton. Existing singleton returned.");
-                }
+                LOG.debug("Attempting to create an existing singleton. Existing singleton returned.");
             }
             return singleton;
         }
@@ -448,9 +441,7 @@
         }
         synchronized (CacheManager.class) {
             if (singleton == null) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Creating new CacheManager with config file: " + configurationFileName);
-                }
+                LOG.debug("Creating new CacheManager with config file: {}", configurationFileName);
                 singleton = new CacheManager(configurationFileName);
             }
             return singleton;
@@ -483,9 +474,7 @@
         }
         synchronized (CacheManager.class) {
             if (singleton == null) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Creating new CacheManager with config URL: " + configurationFileURL);
-                }
+                LOG.debug("Creating new CacheManager with config URL: {}", configurationFileURL);
                 singleton = new CacheManager(configurationFileURL);
 
             }
@@ -511,9 +500,7 @@
         }
         synchronized (CacheManager.class) {
             if (singleton == null) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "Creating new CacheManager with InputStream");
-                }
+                LOG.debug("Creating new CacheManager with InputStream");
                 singleton = new CacheManager(inputStream);
             }
             return singleton;
@@ -559,7 +546,7 @@
         if (!enabled) {
             return;
         } else {
-            LOG.log(Level.INFO, "The CacheManager shutdown hook is enabled because " + ENABLE_SHUTDOWN_HOOK_PROPERTY + " is set to true.");
+            LOG.info("The CacheManager shutdown hook is enabled because {} is set to true.", ENABLE_SHUTDOWN_HOOK_PROPERTY);
 
             Thread localShutdownHook = new Thread() {
                 public void run() {
@@ -569,9 +556,7 @@
                             // removeShutdownHook to remove it during shutdown
                             shutdownHook = null;
 
-                            if (LOG.isLoggable(Level.INFO)) {
-                                LOG.log(Level.INFO, "VM shutting down with the CacheManager still active. Calling shutdown.");
-                            }
+                            LOG.info("VM shutting down with the CacheManager still active. Calling shutdown.");
                             shutdown();
                         }
                     }
@@ -596,10 +581,8 @@
                 //This will be thrown if the VM is shutting down. In this case
                 //we do not need to worry about leaving references to CacheManagers lying
                 //around and the call is ok to fail.
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "IllegalStateException due to attempt to remove a shutdown" +
-                            "hook while the VM is actually shutting down.", e);
-                }
+                LOG.debug("IllegalStateException due to attempt to remove a shutdown" +
+                        "hook while the VM is actually shutting down.", e);
             }
             shutdownHook = null;
         }
@@ -696,7 +679,7 @@
         try {
             cache.bootstrap();
         } catch (CacheException e) {
-            LOG.log(Level.WARNING, "Cache " + cache.getName() + "requested bootstrap but a CacheException occured. " + e.getMessage(), e);
+            LOG.warn("Cache " + cache.getName() + "requested bootstrap but a CacheException occured. " + e.getMessage(), e);
         }
         ehcaches.put(cache.getName(), cache);
         if (cache instanceof Cache) {
@@ -766,9 +749,7 @@
     public void shutdown() {
         synchronized (CacheManager.class) {
             if (status.equals(Status.STATUS_SHUTDOWN)) {
-                if (LOG.isLoggable(Level.FINE)) {
-                    LOG.log(Level.FINE, "CacheManager already shutdown");
-                }
+                LOG.debug("CacheManager already shutdown");
                 return;
             }
             for (CacheManagerPeerProvider cacheManagerPeerProvider : cacheManagerPeerProviders.values()) {
@@ -845,9 +826,7 @@
      */
     public void clearAll() throws CacheException {
         String[] cacheNames = getCacheNames();
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Clearing all caches");
-        }
+        LOG.debug("Clearing all caches");
         for (int i = 0; i < cacheNames.length; i++) {
             String cacheName = cacheNames[i];
             Ehcache cache = getEhcache(cacheName);
Index: src/test/java/net/sf/ehcache/store/LruMemoryStoreTest.java
===================================================================
--- src/test/java/net/sf/ehcache/store/LruMemoryStoreTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/store/LruMemoryStoreTest.java	(working copy)
@@ -16,16 +16,17 @@
 
 package net.sf.ehcache.store;
 
-import net.sf.ehcache.Element;
-import net.sf.ehcache.MemoryStoreTester;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNull;
-import org.junit.Before;
-import org.junit.Test;
 
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.Element;
+import net.sf.ehcache.MemoryStoreTester;
+
+import org.junit.Before;
+import org.junit.Test;
+
 
 /**
  * Test cases for the LruMemoryStore.
@@ -197,7 +198,7 @@
                 store.put(element);
             }
             assertEquals(12000, store.getSize());
-            LOG.log(Level.INFO, "Store size is: " + store.getSize());
+            LOG.info("Store size is: " + store.getSize());
         }
     }
 
Index: src/test/java/net/sf/ehcache/store/LfuMemoryStoreTest.java
===================================================================
--- src/test/java/net/sf/ehcache/store/LfuMemoryStoreTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/store/LfuMemoryStoreTest.java	(working copy)
@@ -16,18 +16,9 @@
 
 package net.sf.ehcache.store;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Cache;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.MemoryStoreTester;
-import net.sf.ehcache.Statistics;
-import net.sf.ehcache.StopWatch;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.IOException;
 import java.io.Serializable;
@@ -37,8 +28,19 @@
 import java.util.Map;
 import java.util.Random;
 import java.util.concurrent.ConcurrentHashMap;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Cache;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.MemoryStoreTester;
+import net.sf.ehcache.Statistics;
+import net.sf.ehcache.StopWatch;
+
+import org.junit.Before;
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Test class for LfuMemoryStore
@@ -49,7 +51,7 @@
  */
 public class LfuMemoryStoreTest extends MemoryStoreTester {
 
-    private static final Logger LOG = Logger.getLogger(LfuMemoryStoreTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(LfuMemoryStoreTest.class);
 
     /**
      * setup test
@@ -230,11 +232,11 @@
         for (Iterator iterator = map.keySet().iterator(); iterator.hasNext();) {
             String string = (String) iterator.next();
             int thisReading = Integer.parseInt(string);
-            LOG.log(Level.INFO, "reading: " + thisReading);
+            LOG.info("reading: " + thisReading);
             absoluteDifferences += Math.abs(lastReading - thisReading);
             lastReading = thisReading;
         }
-        LOG.log(Level.FINE, "Mean difference through iteration: " + absoluteDifferences / 500);
+        LOG.debug("Mean difference through iteration: " + absoluteDifferences / 500);
 
         //Random selection without replacement
         Random random = new Random();
@@ -247,8 +249,8 @@
             absoluteDifferences += Math.abs(lastReading - thisReading);
             lastReading = thisReading;
         }
-        LOG.log(Level.INFO, "Mean difference with random selection without replacement : " + absoluteDifferences / 500);
-        LOG.log(Level.INFO, "Mean of range 1 - 500 : " + mean);
+        LOG.info("Mean difference with random selection without replacement : " + absoluteDifferences / 500);
+        LOG.info("Mean of range 1 - 500 : " + mean);
 
     }
 
@@ -271,13 +273,13 @@
         for (int i = 1; i <= 100000; i++) {
             map.put(i, i);
         }
-        LOG.log(Level.INFO, "done putting: " + stopWatch.getElapsedTimeString());
+        LOG.info("done putting: " + stopWatch.getElapsedTimeString());
 
         Collection collection = map.values();
         for (Object o : collection) {
             o.toString();
         }
-        LOG.log(Level.INFO, stopWatch.getElapsedTimeString());
+        LOG.info(stopWatch.getElapsedTimeString());
 
     }
 
@@ -388,9 +390,9 @@
                 lowestQuarterNotIdentified++;
             }
         }
-        LOG.log(Level.INFO, "Find time: " + findTime);
+        LOG.info("Find time: " + findTime);
         assertTrue(findTime < 200);
-        LOG.log(Level.INFO, "Selections not in lowest quartile: " + lowestQuarterNotIdentified);
+        LOG.info("Selections not in lowest quartile: " + lowestQuarterNotIdentified);
         assertTrue(lowestQuarterNotIdentified <= 10);
 
     }
@@ -431,7 +433,7 @@
         getTestBean(cache, "test2");
 
         Statistics stats = cache.getStatistics();
-        LOG.log(Level.INFO, stats.toString());
+        LOG.info(stats.toString());
 
         cacheManager.shutdown();
     }
Index: src/test/java/net/sf/ehcache/config/ConfigurationFactoryTest.java
===================================================================
--- src/test/java/net/sf/ehcache/config/ConfigurationFactoryTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/config/ConfigurationFactoryTest.java	(working copy)
@@ -17,31 +17,11 @@
 
 package net.sf.ehcache.config;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.Cache;
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
-import net.sf.ehcache.distribution.CacheManagerPeerListener;
-import net.sf.ehcache.distribution.CacheManagerPeerProvider;
-import net.sf.ehcache.distribution.MulticastRMICacheManagerPeerProvider;
-import net.sf.ehcache.distribution.RMIAsynchronousCacheReplicator;
-import net.sf.ehcache.distribution.RMIBootstrapCacheLoader;
-import net.sf.ehcache.distribution.RMICacheManagerPeerListener;
-import net.sf.ehcache.event.CacheEventListener;
-import net.sf.ehcache.event.CacheManagerEventListener;
-import net.sf.ehcache.event.CountingCacheEventListener;
-import net.sf.ehcache.event.CountingCacheManagerEventListener;
-import net.sf.ehcache.exceptionhandler.CacheExceptionHandler;
-import net.sf.ehcache.exceptionhandler.CountingExceptionHandler;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNotSame;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.BufferedInputStream;
 import java.io.BufferedOutputStream;
@@ -58,10 +38,31 @@
 import java.util.Set;
 import java.util.jar.JarEntry;
 import java.util.jar.JarOutputStream;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 import java.util.regex.Matcher;
 
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.Cache;
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
+import net.sf.ehcache.distribution.CacheManagerPeerListener;
+import net.sf.ehcache.distribution.CacheManagerPeerProvider;
+import net.sf.ehcache.distribution.MulticastRMICacheManagerPeerProvider;
+import net.sf.ehcache.distribution.RMIAsynchronousCacheReplicator;
+import net.sf.ehcache.distribution.RMIBootstrapCacheLoader;
+import net.sf.ehcache.distribution.RMICacheManagerPeerListener;
+import net.sf.ehcache.event.CacheEventListener;
+import net.sf.ehcache.event.CacheManagerEventListener;
+import net.sf.ehcache.event.CountingCacheEventListener;
+import net.sf.ehcache.event.CountingCacheManagerEventListener;
+import net.sf.ehcache.exceptionhandler.CacheExceptionHandler;
+import net.sf.ehcache.exceptionhandler.CountingExceptionHandler;
+
+import org.junit.Before;
+import org.junit.Test;
+
 /**
  * Tests for Store Configuration
  * <p/>
@@ -956,7 +957,7 @@
         String propertyWithQuotesProtected = Matcher.quoteReplacement(property);
         configuration = configuration.replaceAll("\\$\\{" + trimmedToken + "\\}", propertyWithQuotesProtected);
         assertTrue(configuration.contains(property));
-        LOG.log(Level.INFO, "configuration is: " + configuration);
+        LOG.info("configuration is: " + configuration);
 
 
     }
Index: src/test/java/net/sf/ehcache/config/ConfigurationHelperTest.java
===================================================================
--- src/test/java/net/sf/ehcache/config/ConfigurationHelperTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/config/ConfigurationHelperTest.java	(working copy)
@@ -16,17 +16,19 @@
 
 package net.sf.ehcache.config;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.CacheManager;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Test;
 
 import java.io.File;
 import java.io.IOException;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.CacheManager;
+
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Tests programmatically constructed Configuration instances
@@ -36,7 +38,7 @@
  */
 public class ConfigurationHelperTest extends AbstractCacheTest {
 
-    private static final Logger LOG = Logger.getLogger(ConfigurationHelperTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ConfigurationHelperTest.class);
 
 
     /**
@@ -63,7 +65,7 @@
             fail();
         } catch (Exception e) {
             //expected
-            LOG.log(Level.FINE, "Expected exception " + e.getMessage() + ". Initial cause was " + e.getMessage(), e);
+            LOG.debug("Expected exception " + e.getMessage() + ". Initial cause was " + e.getMessage(), e);
         }
     }
 
Index: src/test/java/net/sf/ehcache/StatisticsTest.java
===================================================================
--- src/test/java/net/sf/ehcache/StatisticsTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/StatisticsTest.java	(working copy)
@@ -21,16 +21,16 @@
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Test;
 
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
 import java.io.IOException;
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import org.junit.Test;
+
 /**
  * Tests for the statistics class
  *
@@ -194,9 +194,9 @@
         long value = Integer.MAX_VALUE;
         value += Integer.MAX_VALUE;
         value += 5;
-        LOG.log(Level.INFO, "" + value);
+        LOG.info("" + value);
         int valueAsInt = (int) value;
-        LOG.log(Level.INFO, "" + valueAsInt);
+        LOG.info("" + valueAsInt);
         assertEquals(3, valueAsInt);
 
     }
Index: src/test/java/net/sf/ehcache/StopWatch.java
===================================================================
--- src/test/java/net/sf/ehcache/StopWatch.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/StopWatch.java	(working copy)
@@ -17,10 +17,11 @@
 package net.sf.ehcache;
 
 
+
 import net.sf.ehcache.util.PropertyUtil;
 
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A timer service used to check performance of tests.
@@ -44,7 +45,7 @@
  */
 public class StopWatch {
 
-    private static final Logger LOG = Logger.getLogger(StopWatch.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(StopWatch.class);
 
 
     private static final String SUFFIX = "ms";
@@ -79,15 +80,15 @@
             try {
                 speedAdjustmentFactor = Float.parseFloat(speedAdjustmentFactorString);
             } catch (NumberFormatException e) {
-                LOG.log(Level.FINE, "Consider setting system property 'net.sf.ehcache.speedAdjustmentFactor=n' " +
+                LOG.debug("Consider setting system property 'net.sf.ehcache.speedAdjustmentFactor=n' " +
                         "where n is the number of times your machine is slower than the reference machine, " +
                         "which is currently a dual G5 PowerMac. e.g. 1.2, which then enables elasped time " +
                         "measurement to be adjusted accordingly.");
             }
-            LOG.log(Level.FINE, "Using speedAjustmentFactor of " + speedAdjustmentFactor);
+            LOG.debug("Using speedAjustmentFactor of " + speedAdjustmentFactor);
 
         } else {
-            LOG.log(Level.FINE, "Consider setting system property 'net.sf.ehcache.speedAdjustmentFactor=n' " +
+            LOG.debug("Consider setting system property 'net.sf.ehcache.speedAdjustmentFactor=n' " +
                     "where n is the number of times your machine is slower than the reference machine, " +
                     "which is currently a dual G5 PowerMac. e.g. 1.2, which then enables elasped time " +
                     "measurement to be adjusted accordingly.");
@@ -99,7 +100,7 @@
         } catch (InterruptedException e) {
             //
         }
-        LOG.log(Level.FINE, "100 measures as " + stopWatch.getElapsedTime());
+        LOG.debug("100 measures as " + stopWatch.getElapsedTime());
 
 
     }
@@ -132,12 +133,12 @@
 //        }
 //        long elapsedTime = System.currentTimeMillis() - start;
 //
-//        LOG.log(Level.SEVERE, "It took this machine: " + elapsedTime + " to perform a time trial compared with the reference time of "
+//        LOG.error("It took this machine: " + elapsedTime + " to perform a time trial compared with the reference time of "
 //                + referenceTime + "ms");
 //
 //        speedAdjustmentFactor = elapsedTime / referenceTime;
 //
-//        LOG.log(Level.SEVERE, "Elapsed stopwatch times will be adjusted divided by " + speedAdjustmentFactor);
+//        LOG.error("Elapsed stopwatch times will be adjusted divided by " + speedAdjustmentFactor);
 //    }
 
 
Index: src/test/java/net/sf/ehcache/CacheClassicLruMemoryStoreTest.java
===================================================================
--- src/test/java/net/sf/ehcache/CacheClassicLruMemoryStoreTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/CacheClassicLruMemoryStoreTest.java	(working copy)
@@ -1,15 +1,16 @@
 package net.sf.ehcache;
 
-import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
-import org.junit.AfterClass;
 import static org.junit.Assert.assertEquals;
-import org.junit.BeforeClass;
-import org.junit.Test;
 
 import java.util.Date;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
+
+import org.junit.AfterClass;
+import org.junit.BeforeClass;
+import org.junit.Test;
+
 /**
  * Does the cache tests using the classic LRUMemoryStore implementation.
  * @author Greg Luck
@@ -110,7 +111,7 @@
         //this one does
         cache.put(new Element("nullValue", null));
 
-        LOG.log(Level.INFO, "Size: " + cache.getDiskStoreSize());
+        LOG.info("Size: " + cache.getDiskStoreSize());
 
         assertEquals(50, cache.getMemoryStoreSize());
         assertEquals(54, cache.getDiskStoreSize());
Index: src/test/java/net/sf/ehcache/StatusTest.java
===================================================================
--- src/test/java/net/sf/ehcache/StatusTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/StatusTest.java	(working copy)
@@ -18,11 +18,11 @@
 
 
 import static org.junit.Assert.assertTrue;
-import org.junit.Test;
 
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import org.junit.Test;
+
 
 /**
  * Test cases for status.
@@ -59,7 +59,7 @@
             status1.equals(status2);
         }
         long statusCompareTime = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time to do equals(Status): " + statusCompareTime);
+        LOG.info("Time to do equals(Status): " + statusCompareTime);
         assertTrue("Status compare is greater than permitted time", statusCompareTime < 35);
 
     }
@@ -82,7 +82,7 @@
             status1.equals(object);
         }
         long objectCompareTime = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time to do equals(Object): " + objectCompareTime);
+        LOG.info("Time to do equals(Object): " + objectCompareTime);
         assertTrue("Status compare is greater than permitted time", objectCompareTime < 25);
 
 
@@ -107,7 +107,7 @@
             result = int1 == int2;
         }
         long intCompareTime = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time to do int == int: " + intCompareTime);
+        LOG.info("Time to do int == int: " + intCompareTime);
         assertTrue("Status compare is greater than permitted time", intCompareTime < 10);
 
 
